eth_rebuild_header
Prev | Driver Support | Next

## Name

eth_rebuild_header — rebuild the Ethernet MAC header.

## Synopsis

`int eth_rebuild_header (` | struct sk_buff * | skb`)`;

## Arguments

`skb`

  socket buffer to update

## Description

This is called after an ARP or IPV6 ndisc it's resolution on this sk_buff. We now let protocol (ARP) fill in the other fields.

This routine CANNOT use cached dst->neigh! Really, it is used only when dst->neigh is wrong.

Prev | Up | Next
eth_header | Home | eth_type_trans